Bug 1444041 - Chargeback for container images report editor filter tab produces an error if there are too many images in the database
Summary: Chargeback for container images report editor filter tab produces an error if...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: GA
: 5.7.3
Assignee: Ari Zellner
QA Contact: Gilad Shefer
URL:
Whiteboard: container:chargeback
Depends On: 1442158
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-20 13:18 UTC by Satoe Imaishi
Modified: 2020-06-11 13:39 UTC (History)
9 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1442158
Environment:
Last Closed: 2017-06-28 15:00:50 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-26 18:11:34 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/834739f2b83494293f89241efde3b8ebd1706e06

commit 834739f2b83494293f89241efde3b8ebd1706e06
Author:     Šimon Lukašík <isimluk@fedoraproject.org>
AuthorDate: Wed Apr 19 16:14:37 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 26 14:06:57 2017 -0400

    Merge pull request #14811 from zeari/fix_nil_project_cb_report
    
    chargeback - group results with unknown project under 'unknown project'
    (cherry picked from commit d573adcf7585e17fdcc961912303a27e2c66ee65)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444041

 app/models/chargeback_container_image.rb | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

Comment 3 CFME Bot 2017-04-26 18:11:41 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/d1ccf5c5c50dd80d39ac14241a38827a6a23673d

commit d1ccf5c5c50dd80d39ac14241a38827a6a23673d
Author:     Šimon Lukašík <isimluk@fedoraproject.org>
AuthorDate: Thu Apr 20 10:00:47 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 26 14:10:13 2017 -0400

    Merge pull request #14816 from zeari/fix_nil_images_in_chargeback
    
    group chargeback with unknown image under 'unknown image'
    (cherry picked from commit 993774e1eb0d36a800ea60d7ed04eb1be2b38c8f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444041

 app/models/chargeback_container_image.rb | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 4 CFME Bot 2017-04-26 18:20:52 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/04883448a10fd06e89ff0b2440602178e878ae59

commit 04883448a10fd06e89ff0b2440602178e878ae59
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Thu Apr 20 10:49:38 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 26 14:15:01 2017 -0400

    Merge pull request #1077 from isimluk/rhbz#1442158
    
    Do not store openshift env in the controller, use lookup helper instead
    (cherry picked from commit 287dc37c723d86d1e4fe6657a98e9dc29d3980d0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444041

 .../report_controller/reports/editor.rb            |  8 --------
 app/helpers/report_helper.rb                       |  2 ++
 app/helpers/report_helper/editor.rb                | 12 ++++++++++++
 app/views/report/_form_filter_chargeback.html.haml |  3 +--
 spec/controllers/report_controller_spec.rb         | 22 ----------------------
 5 files changed, 15 insertions(+), 32 deletions(-)
 create mode 100644 app/helpers/report_helper/editor.rb

Comment 6 Šimon Lukašík 2017-04-27 08:03:48 UTC
Moving to POST on behalf of Ari.

These three were backported to euwe:
 - https://github.com/ManageIQ/manageiq/pull/14811
 - https://github.com/ManageIQ/manageiq/pull/14816
 - https://github.com/ManageIQ/manageiq-ui-classic/pull/1077

Comment 8 errata-xmlrpc 2017-06-28 15:00:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.